Package org.apache.cxf.common.jaxb

# Interface JAXBUtils.SchemaCompiler

Enclosing class:
  JAXBUtils

public static interface JAXBUtils.SchemaCompiler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JAXBUtils.S2JJAXBModel`
  `bind()`
  `JAXBUtils.Options`
  `getOptions()`
  `void`
  `parseSchema(String key, XMLStreamReader el)`
  `void`
  `parseSchema(String key, Element el)`
  `void`
  `parseSchema(InputSource source)`
  `void`
  `setClassNameAllocator(Object allocator)`
  `void`
  `setEntityResolver(EntityResolver entityResolver)`
  `void`
  `setErrorListener(Object elForRun)`

- ## Method Details

  - ### setEntityResolver

    void setEntityResolver(EntityResolver entityResolver)

  - ### setErrorListener

    void setErrorListener(Object elForRun)

  - ### setClassNameAllocator

    void setClassNameAllocator(Object allocator)

  - ### bind

    JAXBUtils.S2JJAXBModel bind()

  - ### parseSchema

    void parseSchema(InputSource source)

  - ### parseSchema

    void parseSchema(String key, Element el)

  - ### parseSchema

    void parseSchema(String key, XMLStreamReader el)

  - ### getOptions

    JAXBUtils.Options getOptions()